Bug 335175 - Problem with runtime color scheme changes
Summary: Problem with runtime color scheme changes
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: view-engine: general (show other bugs)
Version: 4.13.1
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: investigated
Depends on: 315061
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-22 08:39 UTC by Richard Llom
Modified: 2017-01-03 16:10 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 16.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Llom 2014-05-22 08:39:45 UTC
This is a follow-up bug of bug 315061.

I noticed that the color change only applies successfully until the tab is changed, ie. when you have only one tab open you have to open a new tab.

See also this screencast: attachment 86599 [details]
Comment 1 Richard Llom 2014-10-01 09:07:26 UTC
Hello Emmanuel,
do you keep track of this?

Unfortunately this runtime color change got even worse with the last update (4.14):
Now it isn't sufficient to switch tabs, but you actually have to close and open new tabs, to get the correct colors... :-(

Please take a look.
Comment 2 Emmanuel Pescosta 2014-10-01 10:18:34 UTC
(In reply to richardlm from comment #1)
> Hello Emmanuel,
> do you keep track of this?
> 
> Unfortunately this runtime color change got even worse with the last update
> (4.14):
> Now it isn't sufficient to switch tabs, but you actually have to close and
> open new tabs, to get the correct colors... :-(
> 
> Please take a look.

Yes I keep track of this bug report ;)
But keep in mind that we have much more open bug reports, which should be fixed.
Comment 3 Richard Llom 2014-10-01 13:56:36 UTC
Ok, thanks for confirming.

(I just wasn't sure since there was no comment at all from you so far, 
although you recently patched this part of dolphin. - So I thought I may
poke on this issue since the patch is still "fresh" :-)
Comment 4 Kai Uwe Broulik 2016-07-22 09:16:00 UTC
Something similar also happens in the favorites view. In Plasma 5.7 we can colorize the black and white action icons depending on the color scheme. When changing the colorscheme, the toolbar in Dolphin updates at runtime but the icons in the favorites view do not.
Comment 5 Kai Uwe Broulik 2017-01-03 16:10:34 UTC
Fixed in 16.12.1 by https://cgit.kde.org/dolphin.git/commit/?id=2a7090728b8ef897a523712f89c917302f2c6532